UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | Public Attributes | List of all members
uhd::tx_metadata_t Struct Reference

`#include <metadata.hpp>`

## Public Member Functions
| tx_metadata_t (void)

## Public Attributes
bool | has_time_spec
time_spec_t | time_spec
| When to send the first sample. More...
bool | start_of_burst
| Set start of burst to true for the first packet in the chain. More...
bool | end_of_burst
| Set end of burst to true for the last packet in the chain. More...

## Detailed Description

TX metadata structure for describing received IF data. Includes time specification, and start and stop burst flags. The send routines will convert the metadata to IF data headers.

## Constructor & Destructor Documentation

uhd::tx_metadata_t::tx_metadata_t | ( | void |  | ) |

The default constructor: Sets the fields to default values (flags set to false).

## Member Data Documentation

bool uhd::tx_metadata_t::end_of_burst

Set end of burst to true for the last packet in the chain.

bool uhd::tx_metadata_t::has_time_spec

Has time specification?

- Set false to send immediately.
- Set true to send at the time specified by time spec.

bool uhd::tx_metadata_t::start_of_burst

Set start of burst to true for the first packet in the chain.

time_spec_t uhd::tx_metadata_t::time_spec

When to send the first sample.

The documentation for this struct was generated from the following file:

- include/uhd/types/metadata.hpp